API Reference
API Reference

Custom Message History

Page saved versions of an active Message in the current sub-organization.

GET/api/v1/custom_messages/{custom_message_id}/history

Authentication

Syllable-API-Keyrequired

Send Syllable-API-Key in the header.

Need a credential? Create or manage an API token in the Syllable Console.

Parameters

Path parameters

custom_message_id integer path required

Query parameters

page integer query optional
Default 0Minimum 0Example 0
limit integer query optional
Default 25Minimum 1Maximum 100Example 25
order_by_direction enum<string> query optional
Allowed values ["asc","desc"]Default descExample desc

Responses

200Successful Response

application/json

response ListResponse_CustomMessageHistoryMetadata_ required
5 fields
itemsCustomMessageHistoryMetadata[]required

List of items returned from the query

Item schema
itemsCustomMessageHistoryMetadatarequired

Metadata for a saved Message version, without its content.

8 fields
custom_message_idintegerrequired
version_numberintegerrequired
snapshot_schema_versionintegerrequired
operationstringrequired
created_atstring (date-time)required
updated_bystring | nullrequired
commentsstring | nullrequired
restored_from_versioninteger | nullrequired
pageintegerrequired

The page number of the results (0-based)

page_sizeintegerrequired

The number of items returned per page

total_pagesinteger | nulloptional

The total number of pages of results given the indicated page size

total_countinteger | nulloptional

The total number of items returned from the query

Response example
{
  "items": [
    {
      "custom_message_id": 0,
      "version_number": 0,
      "snapshot_schema_version": 0,
      "operation": "string",
      "created_at": "string",
      "updated_by": "string",
      "comments": "string",
      "restored_from_version": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total_pages": "string",
  "total_count": "string"
}
403Message read permission required

application/json

response CustomMessageErrorResponse required
1 field
detailstringrequired
Response example
{
  "detail": "string"
}
404Message not found

application/json

response CustomMessageErrorResponse required
1 field
detailstringrequired
Response example
{
  "detail": "string"
}
422Validation Error

application/json

response HTTPValidationError required
1 field
detailValidationError[]optional
Item schema
itemsValidationErrorrequired
3 fields
locstring | integer[]required
Item schema
itemsstring | integerrequired
2 options
Option 1stringrequired
Option 2integerrequired
msgstringrequired
typestringrequired
Response example
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}